#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libvirt-dbus
Version		:	1.4.1
Release		:	17.0.10.rel%{?dist}
Summary		:	libvirt D-Bus API binding

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://libvirt.org/
			#https://download.libvirt.org/dbus/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	meson
BuildRequires	:	libvirt-devel
BuildRequires	:	libvirt-glib-devel
BuildRequires	:	python3-docutils

Requires	:	libvirt
Requires	:	libvirt-glib

#-----------------------------------------------------------------------------
%description
This package provides D-Bus API for libvirt


#-----------------------------------------------------------------------------
%files	
%defattr(-,root,root,-)
%doc AUTHORS.rst NEWS.rst
%license COPYING
%{_sbindir}/%{name}
%{_datadir}/dbus-1/services/org.libvirt.service
%{_datadir}/dbus-1/system-services/org.libvirt.service
%{_datadir}/dbus-1/system.d/org.libvirt.conf
%{_datadir}/dbus-1/interfaces/org.libvirt.*.xml
%{_datadir}/polkit-1/rules.d/%{name}.rules
%{_mandir}/man8/%{name}.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  /usr/sbin/userdel libvirtdbus
  (
  /bin/echo -n "%{name}-%{version}-%{release} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%pre
getent passwd libvirtdbus >/dev/null ||		\
/usr/sbin/useradd 				\
	-r					\
	-c "libvirt dbus bridge"		\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g kvm					\
	-s /sbin/nologin			\
	-d /					\
	libvirtdbus

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D init_script=other				\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#-----------------------------------------------------------------------------
%changelog
